Subject: <create-subscription> and filter conditions

From: Li Yan <[email-masked]>
Date: Mon, 12 Jun 2006 20:43:54 +0800

Hi,

Excuse me, I have asked this question again. I asked this question 10 days
ago, but I've got no response. 

Question:

Will the <create-subscription> request get a positive response, when the
result of <filter> and <named-profile> is nothing?

If the subscription is successful in the circumstances, no event will be
sent through this session. The client and server have to keep an empty
session. When a new event is generated, the server must check whether the
event matches to the filter conditions.

It's waste of resources. So, I believe the subscription should be failed.

Thanks

Yan